import 'package:flutter/material.dart';

import '../../../../res/app_colors.dart';


class DateTimeDialog extends StatelessWidget {
  const DateTimeDialog({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 30,
      width: 50,
      color: AppColors.colorText,
      child: Column(
        children: [
          SizedBox(
            height: 15,
            width: 30,
            child: Dialog(
              shape: RoundedRectangleBorder(
                  borderRadius: BorderRadius.circular(20.0)),
              //this right here
              child: SizedBox(
                height: 33,
                width: 90,
                child: Padding(
                  padding: const EdgeInsets.all(15.0),
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      const Align(
                          alignment: Alignment.topRight,
                          child: Padding(
                            padding: EdgeInsets.only(bottom: 10.0),
                            child: Icon(Icons.close,
                                size: 40, color: AppColors.colorButton),
                          )),
                      const SizedBox(
                        height: 2,
                      ),
                      const Center(
                        child: Text(
                          "To verify your identify we sent a verification SMS. Please, enter the code we sent to",
                          style: TextStyle(
                              fontSize: 14,
                              fontWeight: FontWeight.w400,
                              color: AppColors.colorText),
                        ),
                      ),
                      const SizedBox(
                        height: 2,
                      ),
                      const Center(
                        child: Text(
                          "b***k@gmail.com/9232**",
                          style: TextStyle(
                              fontSize: 18,
                              fontWeight: FontWeight.w600,
                              color: AppColors.colorText),
                        ),
                      ),
                      const SizedBox(
                        height: 2,
                      ),
                      Center(
                        child: InkWell(
                          onTap: () {},
                          child: const Text(
                            "RESEND OTP",
                            style: TextStyle(
                                fontSize: 18,
                                fontWeight: FontWeight.w400,
                                color: AppColors.colorPrimary),
                          ),
                        ),
                      ),
                    ],
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
